import os

# This is the minimum that the preferences file must have in order to
# be useful. Naturally, it can be rather more complex. See
# more-complex.mpprefs.py for that.  You probably want at least some
# of the stuff from there. In particular, this file is missing:
# Saving outgoing mail
# Scoring mail
# Support for multiple locations
# Saving to one or more default mailboxes
# Automatically deleting old mail
# and a few other things.
#
# Note that the syntax here is pure Python. In particular, note that
# whitespace at the left margin is generally significant. If you run
# into syntax problems, please see the excellent documentation at
# www.python.org.

class prefs:

  # "me" added automtically
  addressbookData= \
    (
    # Nickname, address. Nicknames entered in the address fields of
    # a mail editor are expanded into the corresponding addresses.
    ("example",        '"Example E. Example" <example@example.org>'),
    ("anotherexample", "Another Example <example@example.com>"),
    )

  # Case is almost always significant here.
  staticPrefs= \
    {
    'myMailAddress':             "me@example.org",
    'myHumanName':               "Swallow user",
    'tempDir':                   os.path.expanduser("~/swallow/temp"),
    'addressbookData':           addressbookData, # Pulls in item above
    'mailServer':                'mail.example.com',
    }
